net.sourceforge.pmd.symboltable

## Class ClassScopeTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.ClassScopeTest

    public class ClassScopeTest
    extends STBBaseTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`ClassScopeTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAnonymousInnerClassName()`
`void` `testbuz()`
`void` `testCantContainsSuperToString()`
`void` `testClassName()`
`void` `testContains()`
`void` `testContainsStaticVariablePrefixedWithClassName()`
`void` `testEnumsClassScope()`
`void` `testMethodDeclarationRecorded()`
`void` `testMethodUsageSeen()`
`void` `testMethodUsageSeen2()`
`void` `testMethodUsageSeenWithThis()`
`void` `testNestedClassDeclFound()`
`void` `testNestedClassFieldAndParameter()` Test case for bug report #2410201
`void` `testNoParams()`
`void` `testOneParam()`
`void` `testOneParamVararg()`
`void` `testTwoMethodsSameNameDiffArgs()`
`void` `testTwoParams()`
`void` `testTwoParamsVararg()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassScopeTest

    public ClassScopeTest()

### Method Detail

#### testEnumsClassScope

    public void testEnumsClassScope()

#### testAnonymousInnerClassName

    public void testAnonymousInnerClassName()

#### testContains

    public void testContains()

#### testCantContainsSuperToString

    public void testCantContainsSuperToString()

#### testContainsStaticVariablePrefixedWithClassName

    public void testContainsStaticVariablePrefixedWithClassName()

#### testClassName

    public void testClassName()

#### testMethodDeclarationRecorded

    public void testMethodDeclarationRecorded()

#### testTwoMethodsSameNameDiffArgs

    public void testTwoMethodsSameNameDiffArgs()

#### testOneParam

    public final void testOneParam()
                            throws Throwable

Throws:
  `Throwable`

#### testTwoParams

    public final void testTwoParams()
                             throws Throwable

Throws:
  `Throwable`

#### testNoParams

    public final void testNoParams()
                            throws Throwable

Throws:
  `Throwable`

#### testOneParamVararg

    public final void testOneParamVararg()
                                  throws Throwable

Throws:
  `Throwable`

#### testTwoParamsVararg

    public final void testTwoParamsVararg()
                                   throws Throwable

Throws:
  `Throwable`

#### testNestedClassDeclFound

    public final void testNestedClassDeclFound()
                                        throws Throwable

Throws:
  `Throwable`

#### testbuz

    public final void testbuz()
                       throws Throwable

Throws:
  `Throwable`

#### testMethodUsageSeen

    public void testMethodUsageSeen()

#### testMethodUsageSeenWithThis

    public void testMethodUsageSeenWithThis()

#### testMethodUsageSeen2

    public void testMethodUsageSeen2()

#### testNestedClassFieldAndParameter

    public void testNestedClassFieldAndParameter()

Test case for bug report #2410201

#### suite

    public static junit.framework.Test suite()